opera extensions- no 12x only option

  • Browsing extensions now has become a pain, because I can't tell which are for new opera or old opera without clicking the install button to get a popup "opera 24 required". Only clue I have is to look at the modified date. Any work around for this?

  • Moved to the right forum: Opera add-ons.

  • If you browse the site with Opera 12, you should get only things that are installable in Opera 12. If you browse the site with Opera 24, you should get only things that are installable in Opera 24.

  • Could you provide an example of how you get at the extensions you're getting such errors for? Which browser you use, which page you go to, etc.

  • Could you provide an example of how you get at the extensions you're getting such errors for? Which browser you use, which page you go to, etc.

    From the opera 12.17 main menu button I select "get extensions" and I get opera 24 extensions. It also has a "get it anyway" button but I don't know why that is there, I have no idea what to do with it after it downloads, or if some are supposed to work anyway. Thanks for the response, Obviously something is wrong and needs to be reported

    Edit: I had downloaded opera 24 again to see improvements, whatever. Maybe that is why these problems occur, but from what I understand that is not supposed to happen

  • addons.opera.com checks your User Agent string to figure out which browser you are, and adapt the results accordingly. I clicked "Get extensions" in my Opera 12.17 (for Linux) menu now, and I'm transported to https://addons.opera.com/en/extensions/. Here I see various extensions, but they're all for Opera 12.

    Have you by any chance changed the User Agent string, or made Opera mask as Chrome or Firefox? If so, that would make the site think you're using a non-Opera browser, and will serve you content for the newest version of the browser.

    Having Opera 24 installed on your computer shouldn't matter, as long as you access the site in Opera 12.17.

    "Get it anyway" means that you can download the content, even if it isn't made for the browser you use.

  • addons.opera.com checks your User Agent string to figure out which browser you are, and adapt the results accordingly. I clicked "Get extensions" in my Opera 12.17 (for Linux) menu now, and I'm transported to https://addons.opera.com/en/extensions/. Here I see various extensions, but they're all for Opera 12.
    Have you by any chance changed the User Agent string, or made Opera mask as Chrome or Firefox? If so, that would make the site think you're using a non-Opera browser, and will serve you content for the newest version of the browser.
    Having Opera 24 installed on your computer shouldn't matter, as long as you access the site in Opera 12.17.
    "Get it anyway" means that you can download the content, even if it isn't made for the browser you use.

    Thanks a lot. That was it, identify as firefox, although I don't recall making this change. By the way does the extension "go back" work for anyone in 12.17? I would love for that one to work, or is there an extension expert around who could have a look an try to make it work. Would be so cool

Log in to reply
 

Looks like your connection to Opera forums was lost, please wait while we try to reconnect.